# frozen_string_literal: true

require_relative 'base'

module Invoca
  module Metrics
    module Prometheus
      module DeclareMetrics
        class Counter < Base

          def increment(value = 1, **labels)
            if metric.present?
              metric.increment(default_labels.merge(labels), value)
            else
              warn("Counter being incremented without metric being present")
            end

            if graphite
              Invoca::Metrics::Client.metrics.count(render_graphite_string(**default_labels.merge(labels)), value)
            end
          end
        end
      end
    end
  end
end
